> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broadcast spectators count

> Returns number of simultaneous broadcast viewers at the current moment



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml get /streaming/broadcasts/{broadcast_id}/spectators
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/broadcasts/{broadcast_id}/spectators:
    get:
      tags:
        - Broadcasts
      summary: Get broadcast spectators count
      description: Returns number of simultaneous broadcast viewers at the current moment
      operationId: get_broadcasts_spectators
      parameters:
        - name: broadcast_id
          in: path
          description: >-
            Broadcast ID.   

            IDs of all created broadcasts can be received via Get All Broadcasts
            request
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/broadcastSpectators'
components:
  schemas:
    broadcastSpectators:
      type: object
      properties:
        spectators_count:
          type: integer
          description: Number of spectators at the moment
      example:
        spectators_count: 100
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````